MSN News sends desktop version to Firefox on Mobile

RESOLVED DUPLICATE of bug 826347

Status

RESOLVED DUPLICATE of bug 826347
4 years ago
4 years ago

People

(Reporter: axelboldt, Assigned: karlcow)

Tracking

Firefox 33
ARM
Android

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [country-us] [serversniff] [contactready], URL)

Attachments

(3 attachments)

(Reporter)

Description

4 years ago
Created attachment 8515537 [details]
Screenshot_2014-11-01-17-49-49.png

User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/38.0.2125.111 Safari/537.36

Steps to reproduce:

Running Android 4.2.2 (Cyanogenmod 10.1) on Samsung Galaxy S2.

All news articles on MSN News (http://news.msn.com) are almost unreadable on Firefox: they are too wide for the screen, and zooming out (with double tap or pinch gesture) is not possible. The only way to read is by constantly scrolling left and right for every line of text. I haven't seen that problem on other sites. A typical screenshot is attached.
(Reporter)

Updated

4 years ago
OS: Windows 7 → Android
Hardware: x86_64 → ARM

Updated

4 years ago
Component: General → Mobile
Product: Firefox for Android → Tech Evangelism
There's a lot of problems with MSN's mobile site.
Status: UNCONFIRMED → NEW
Ever confirmed: true
(Assignee)

Comment 2

4 years ago
Created attachment 8515689 [details]
msn-chrome.png

by faking chrome mobile UA on Firefox Desktop
(Assignee)

Comment 3

4 years ago
Created attachment 8515690 [details]
msn-fxand.png

by faking firefox mobile android on Desktop
(Assignee)

Comment 4

4 years ago
Going to http://news.msn.com/
we are redirected to http://www.msn.com/en-us/news



# With Chrome Mobile UA

GET /en-us/news HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate
Host: www.msn.com
User-Agent: Mozilla/5.0 (Linux; Android 4.0.4; Galaxy Nexus Build/IMM76B) AppleWebKit/535.19 (KHTML, like Gecko) Chrome/33.0.1025.133 Mobile Safari/535.19

HTTP/1.1 200 OK
Access-Control-Allow-Methods: HEAD,GET,OPTIONS
Access-Control-Allow-Origin: *
Cache-Control: no-cache, no-store, no-transform
Content-Encoding: gzip
Content-Length: 37017
Content-Type: text/html; charset=utf-8
Date: Sun, 02 Nov 2014 22:05:02 GMT
Expires: -1
Pragma: no-cache
Server: Microsoft-IIS/8.5
Set-Cookie: _EDGE_S=F=1; path=/; httponly; domain=msn.com
Set-Cookie: _EDGE_V=1; path=/; httponly; expires=Tue, 01-Nov-2016 22:05:02 GMT; domain=msn.com
Set-Cookie: MUID=37C8C0483581604818CBC6AE3460612E; path=/; expires=Tue, 01-Nov-2016 22:05:02 GMT; domain=msn.com
Vary: User-Agent
X-Activity-Id: d1956d9b-f018-4b9d-97f4-92b1260e611a
X-AppVersion: 2.0.5416.34430
X-AspNetMvc-Version: 5.2
X-Az: {did:7857f0de7ea04a3e8d576303de7c548a, rid: 25, sn: easia-news, dt: 2014-10-31T06:33:55.5558934Z, bt: 2014-10-31T03:07:50.8976462Z}
X-Content-Type-Options: nosniff
X-FRAME-OPTIONS: SAMEORIGIN
X-FUT: 2147483648
X-MSEdge-Ref: Ref A: D1956D9BF0184B9D97F492B1260E611A Ref B: 2D3496B2B389E635EC2A7ADA5DEBAFD6 Ref C: Sun Nov 02 14:05:02 2014 PST
X-Powered-By: ASP.NET
X-UA-Compatible: IE=Edge;chrome=1
X-XSS-Protection: 1


# With Firefox Mobile UA.

GET /en-us/news HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate
Host: www.msn.com
User-Agent: Mozilla/5.0 (Android; Mobile; rv:30.0) Gecko/30.0 Firefox/30.0

HTTP/1.1 200 OK
Access-Control-Allow-Methods: HEAD,GET,OPTIONS
Access-Control-Allow-Origin: *
Cache-Control: no-cache, no-store, no-transform
Content-Encoding: gzip
Content-Type: text/html; charset=utf-8
Date: Sun, 02 Nov 2014 22:04:26 GMT
Expires: -1
Pragma: no-cache
Server: Microsoft-IIS/8.5
Set-Cookie: PreferencesMsn=eyJFeHBpcnlUaW1lIjo2MzU4MjA5ODY2NzI2NzAxNTd90; domain=msn.com; expires=Mon, 02-Nov-2015 22:04:27 GMT; path=/; HttpOnly
Set-Cookie: weaRecentLocations=||35.340|139.494|Fujisawa|Kanagawa|Japan|JP|0|1|||; domain=www.msn.com; expires=Mon, 02-Nov-2015 12:04:27 GMT; path=/; HttpOnly
Set-Cookie: DefaultLocation=ZW4tdXN8MzUuMzQwfDEzOS40OTR8RnVqaXNhd2F8S2FuYWdhd2F8SmFwYW58SlB8fC4wMA2; domain=www.msn.com; expires=Wed, 05-Nov-2014 22:04:27 GMT; path=/; HttpOnly
Set-Cookie: _EDGE_S=F=1; path=/; httponly; domain=msn.com
Set-Cookie: _EDGE_V=1; path=/; httponly; expires=Tue, 01-Nov-2016 22:04:27 GMT; domain=msn.com
Set-Cookie: MUID=059D85688D7366262A58838E8C9267F8; path=/; expires=Tue, 01-Nov-2016 22:04:27 GMT; domain=msn.com
Transfer-Encoding: chunked
Vary: User-Agent
X-Activity-Id: c6c13a8d-1bbf-4d02-9704-fc149541f61b
X-AppVersion: 2.0.5416.34430
X-AspNetMvc-Version: 5.2
X-Az: {did:7857f0de7ea04a3e8d576303de7c548a, rid: 16, sn: easia-news, dt: 2014-10-31T06:33:58.2928110Z, bt: 2014-10-31T03:07:50.8976462Z}
X-Content-Type-Options: nosniff
X-FRAME-OPTIONS: SAMEORIGIN
X-FUT: 536870912
X-MSEdge-Ref: Ref A: C6C13A8D1BBF4D029704FC149541F61B Ref B: 1E075FAB3C2D3C0600557C8E5F69A6CB Ref C: Sun Nov 02 14:04:27 2014 PST
X-Powered-By: ASP.NET
X-UA-Compatible: IE=Edge;chrome=1
X-XSS-Protection: 1


We received a different content

→ http -b GET http://www.msn.com/en-us/news 'User-Agent:Mozilla/5.0 (Linux; Android 4.0.4; Galaxy Nexus Build/IMM76B) AppleWebKit/535.19 (KHTML, like Gecko) Chrome/33.0.1025.133 Mobile Safari/535.19' | wc -c
  154136

→ http -b GET http://www.msn.com/en-us/news 'User-Agent:Mozilla/5.0 (Android; Mobile; rv:30.0) Gecko/30.0 Firefox/30.0' | wc -c
  368083

The site needs to be contacted so we are sent the mobile version of MSN News.

This is simply a duplicate of Bug 826347
Assignee: nobody → kdubost
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → DUPLICATE
Summary: MSN News screen layout too wide for screen, cannot be zoomed → MSN News sends desktop version to Firefox on Mobile
Whiteboard: [country-us] [serversniff] [contactready]
Duplicate of bug: 826347
You need to log in before you can comment on or make changes to this bug.